Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Post the necessary fields for the API to update message status.
PUT https://services.leadconnectorhq.com/conversations/messages/{messageId}/status

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Path parameters

messageId
string
default:"ve9EPM428h8vShlRW1KT"
required
Message Id

Body

status
string
default:"read"
required
Message status Posibles valores: ‘delivered’, ‘failed’, ‘pending’, ‘read’
error
object
Error object from the conversation provider
emailMessageId
string
default:"ve9EPM428h8vShlRW1KT"
Email message Id
recipients
string[]
Email delivery status for additional email recipients.

Respuestas

conversationId
string
default:"ABC12h2F6uBrIkfXYazb"
required
Conversation ID.
emailMessageId
string
default:"rnGyqh2F6uBrIkfhFo9A"
This contains the email message id (only for Email type). Use this ID to send inbound replies to GHL to create a threaded email.
messageId
string
default:"t22c6DQcTDf3MjRhwf77"
required
This is the main Message ID
messageIds
string[]
When sending via the GMB channel, we will be returning list of messageIds instead of single messageId.
msg
string
default:"Message queued successfully."
Additional response message when sending a workflow message
forwardData
object
Optional metadata for forwarded email
status
string
default:"delivered"
required
Message status Posibles valores: ‘delivered’, ‘failed’, ‘pending’, ‘read’
{
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "messageIds": [
    "string"
  ],
  "msg": "Message queued successfully.",
  "forwardData": {
    "forwardWholeThread": false,
    "messageId": "t22c6DQcTDf3MjRhwf77",
    "emailMessageId": "rnGyqh2F6uBrIkfhFo9A",
    "forwardToEmail": "recipient@example.com",
    "recipientContactId": "DEF56h2F6uBrIkfXYacd"
  },
  "status": "delivered"
}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/conversations/messages/YOUR_messageId/status' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "read",
  "emailMessageId": "ve9EPM428h8vShlRW1KT",
  "recipients": [
    "string"
  ]
}'